#ifndef MYLS_H
#define MYLS_H

/* --- Include --- */
#include "constante.h"

/* --- Fonctions --- */
/**
 * Affiche sous la forme ls -l les infos d'un fichier/dossier
 * @param char* Le chemin vers le fichier (avec ou sans le nom du fichier)
 * @param char* Le nom du fichier ou NULL si il est déjà dans le chemin
 */
void printls(char*, char*);

/**
 * Affiche tous le contenu d'un dossier
 * @param char* Le chemin vers le dossier
 * @param boolean Affiche ou non les sous dossiers
 * @param boolean Affiche ou non les fichiers/dossiers cachés
 */
void printdir(char*, boolean, boolean);

#endif /* MYLS_H */